com.sun.grid.jgdi.event

## Class ShutdownEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ShutdownEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ShutdownEvent
      extends Event
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownEvent(long timestamp, int eventId)` Creates a new instance of ShutdownEvent

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShutdownEvent

          public ShutdownEvent(long timestamp,
                               int eventId)

      Creates a new instance of ShutdownEvent

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.